Download it now!
Bug 112520 - FILESAVE: RTF: Shapes inside another shape disappear after RT
Summary: FILESAVE: RTF: Shapes inside another shape disappear after RT
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:6.2.0 target:6.1.4
Keywords: bibisected, bisected, filter:rtf, regression
Depends on:
Blocks: RTF-Shapes
  Show dependency treegraph
 
Reported: 2017-09-20 11:52 UTC by Xisco Faulí
Modified: 2018-10-19 14:32 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2017-09-20 11:52:01 UTC
Steps to reproduce:
1. Open attachment 91407 [details] from bug 73215
2. Save it as .RTF
3. Open the new document

Observed behaviour: White shapes have disappeared and the shape is completely yellow.

The position issue after RT has been reported in bug 112519

Reproduced in

Version: 6.0.0.0.alpha0+
Build ID: 8abc7ba9784f7898576fbdd7a48f0ff9e4445a68
CPU threads: 4; OS: Linux 4.10; UI render: GL; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

[Bug found by office-interoperability-tools]
Comment 1 Xisco Faulí 2017-09-20 11:53:10 UTC
Regression introduced by:

author	Miklos Vajna <vmiklos@collabora.co.uk>	2017-09-05 07:07:48 (GMT)
committer	Miklos Vajna <vmiklos@collabora.co.uk>	2017-09-05 12:30:14 (GMT)
commit	4cde2a01be75552a0b7d37f65cc4134cb48fea26 (patch)
tree	7ec8a538684f285503bad5691aa712dae87c162e
parent	1f66a258f2371d516b6a031a46ab4ef5d973796b (diff)
tdf#104936 RTF export: implement ZOrder of TextFrames / shapes
This used to work by accident for the particular textbox, but broke with
commit 38f2b8b3b16aab19a2564ec699d253d3dccecc3c (tdf#88811
SwXText::convertToTextFrame: handle shapes anchored to us, 2015-02-03),
so write ZOrder explicitly, like other filters already do.

Bisected with: bibisect-linux64-6.0

Adding Cc: Miklos Vajna
Comment 2 Xisco Faulí 2018-06-05 21:06:17 UTC
Adding Cc: to Miklos Vajna
Comment 3 Commit Notification 2018-10-16 07:03:23 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2b920bdc12f3bf3a196ec0d6d59043a68e663e33

tdf#112520 RTF export: write ZOrder only for toplevel shapes

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2018-10-17 16:12:20 UTC
Verified in

Version: 6.2.0.0.alpha0+
Build ID: 647fc41763d1310479d59262734caa296f6e558d
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: en-US (ca_ES.UTF-8); Calc: threaded

@Miklos, Thanks for fixing this!!
Comment 5 Commit Notification 2018-10-19 14:32:39 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1c6bea8e677861d201e9b21b5f0e356f77dabaaf&h=libreoffice-6-1

tdf#112520 RTF export: write ZOrder only for toplevel shapes

It will be available in 6.1.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.